component-section
  div(slot='title') OW-2 Architectural Significant Requirements
  component-intendedlearningoutcomes
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong quality attribute requirement
      |
      | uit.
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong quality attribute scenario
      |
      | uit.
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong algemene quality attribute scenario’s
      |
      | , het gebruik en de beperkingen uit.
    component-criterion(codes='["SK-begrip-QAs", "SA-begrip-requirements"]')
      | legt
      |
      strong standaarden
      |
      | voor het beschrijven van
      |
      strong quality attributes
      |
      | uit.
    component-criterion(codes='["SK-begrip-QAs"]')
      | legt de
      |
      strong quality model
      | s uit van ISO/IEC/IEEE 25010:2011
  component-section
    div(slot='title') Quality Model
    figure
      figcaption Het product quality model in ISO 25010
      img(alt='Product quality model', src='bron/material/iso_25010.png')
  component-section
    div(slot='title') Bestuderen
    p.bron
      abbr(title='Nuseibeh, B. (2001). Weaving Together Requirements and Architectures. Computer, 34(3), 115-117')
        a(href='bron/material/Nuseibeh_TwinPeaksModel.pdf') Weaving Together Requirements and Architectures - pp. 115-117
    p.bron
      abbr(
        title='Kruchten, P. (2008). Controversy Corner: What do software architects really do?. Journal of Systems and Software, 81(12), 2413-2416')
        a(href='bron/material/Kruchten_WhatArchitectsDo.pdf') What do software architects really do - pp. 101-110
    p.bron
      a(href='bron/material/ISO_IEC_IEEE_25010.pdf') ISO_IEC_IEEE_25010
    p.bron
      cite(data-id='6867189/KRJVJXEU', data-label='chapter', data-locator='4') Software Architecture in Practice
  component-section
    div(slot='title') Oefening 1
    component-exercise
      ol
        li Wat zijn de kernbegrippen van het Twin Peaks Model?
        li
          | Noem 3 concrete voorbeelden van architectuur besluiten die zijn beinvloed door vereisten (requirements) die op zichzelf ook weer veranderde vereisten tot gevolg hadden.
        li
          | Leg uit hoe deze voorbeelden zicht verhouden tot de kernbegrippen van het Twin Peaks Model
      p
        em
          | Denk hierbij bijvoorbeeld aan de Vertaal-, Smart Mobility app of nog beter de applicatie waaraan je dagelijks werkt!
  component-section
    div(slot='title') Oefening 2
    component-exercise
      ol
        li Wat voor vereisten (requirements) ken je al?
        li Hoe kunnen deze worden onderverdeeld?
        li Met welk soort vereisten heb je hoofdzakelijk te maken in OO ontwerpen?
        li Welke soort vereisten zouden het architectuur ontwerp moeten sturen?
  component-section
    div(slot='title') 👨‍🏫 Presentatie
    ul.liststyletypenone
      li.bron
        a(href='bron/slides/SKA_OW2.pdf') Lesweek 2
